import { INPUT } from '../input/Input';
import { BUTTON } from '../Button/Button';
import { LOADING_INDICATOR } from '../LoadingIndicator/LoadingIndicator';
import { CHECKBOX } from '../Checkbox/Checkbox';
import { POPOVER } from '../Popover/Popover';
import { LIST } from '../List/List';
import { MENU } from '../Menu/Menu';
import { SELECTBOX } from '../Selectbox/Selectbox';
import { TABLE } from '../Table/Table';
import { HORIZONTAL_SCROLLBAR } from '../Scrollbar/HorizontalScrollbar';
import { VERTICAL_SCROLLBAR } from '../Scrollbar/VerticalScrollbar';
import { SCROLLABLE } from '../Scrollable/Scrollable';
import { GRID } from '../Grid/Grid';
import { BUTTON_ICON } from '../ButtonIcon/ButtonIcon';
import { LINK } from '../Link/Link';
import { TOGGLE_BUTTONS } from '../ToggleButtons/ToggleButtons';
import { LOADING_INDICATION } from '../LoadingIndication/LoadingIndication';
import { POPUP } from '../Popup/Popup';
import { STEPPABLE_INPUT } from '../SteppableInput/SteppableInput';
import { TIME_INPUT } from '../TimeInput/TimeInput';
import { DATE_INPUT } from '../DateInput/DateInput';
import { AUTOCOMPLETE } from '../Autocomplete/Autocomplete';
import { EXPANDABLE } from '../Expandable/Expandable';
declare const _default: {
    [INPUT]: any;
    [BUTTON]: any;
    [LOADING_INDICATOR]: any;
    [CHECKBOX]: any;
    [POPOVER]: any;
    [LIST]: any;
    [MENU]: any;
    [SELECTBOX]: any;
    [EXPANDABLE]: any;
    [TABLE]: any;
    [HORIZONTAL_SCROLLBAR]: any;
    [VERTICAL_SCROLLBAR]: any;
    [SCROLLABLE]: any;
    [AUTOCOMPLETE]: any;
    [GRID]: any;
    [BUTTON_ICON]: any;
    [DATE_INPUT]: any;
    [STEPPABLE_INPUT]: any;
    [TIME_INPUT]: any;
    [PASSWORD_INPUT]: {
        container: any;
        Input: {
            container: any;
        };
        RevealButton: {
            container: any;
            icon: any;
        };
    };
    [LINK]: any;
    [TOGGLE_BUTTONS]: any;
    [LOADING_INDICATION]: any;
    [POPUP]: any;
};
export default _default;
